### Constructor

# Atspi DeviceListener new_simple

#### Declaration [src]

    AtspiDeviceListener*
    atspi_device_listener_new_simple (
      AtspiDeviceListenerSimpleCB callback,
      GDestroyNotify callback_destroyed
    )

#### Description [src]

Creates a new `AtspiDeviceListener` with a specified callback function. This method is similar to #atspi_device_listener_new, but callback takes no user data.

This constructor is not directly available to language bindings.

#### Parameters

`callback`

  Type: `AtspiDeviceListenerSimpleCB`

  An `AtspiDeviceListenerCB` callback function, or NULL.

`callback_destroyed`

  Type: `GDestroyNotify`

  A `GDestroyNotify` called when the listener is freed and data associated with the callback should be freed. It can be NULL.

#### Return value

Type: `AtspiDeviceListener`

A pointer to a newly-created `AtspiDeviceListener`.

The caller of the function takes ownership of the data, and is responsible for freeing it.